import Data.Vect

sayHello : IO ()
sayHello =
  do putStrLn "What's your name?"
     name <- getLine
     putStrLn ("Hello " ++ name)

readVect : IO (n : Nat ** Vect n String)
readVect =
  do l <- getLine
     if l == ""
        then pure (Z ** [])
        else do (n ** elems) <- readVect
                pure (1 + n ** l :: elems)

readAndZipVectors : IO ()
readAndZipVectors =
  do putStrLn "First vector:"
     (n1 ** v1) <- readVect
     putStrLn "Second vector:"
     (n2 ** v2) <- readVect
     case exactLength n1 v2 of
       Nothing => putStrLn "Not the same length"
       Just v2' => let res = zip v1 v2'
                   in putStrLn (show res)

